Difference between revisions of "Std Group"

From FreeCAD Documentation
Jump to navigation Jump to search
(Fix display of GuiCommand)
(Remove "Notes", "Options", "Limitations", as these sections don't have important information. Remove manual breaks <br>. Add Inheritance diagram.)
Line 22: Line 22:
  
 
<!--T:3-->
 
<!--T:3-->
This command lets you create a group in the tree view.
+
This command lets you create a group in the tree view. It can be used for organizing the structure of your model.
<br />
 
It can be used for organizing the structure of your model.
 
  
 
==Use== <!--T:4-->
 
==Use== <!--T:4-->
  
 
<!--T:5-->
 
<!--T:5-->
Right-click on the name of your FreeCAD-document in the tree-view and choose "create group".
+
# Right-click on the name of your FreeCAD document in the tree-view and choose {{Button|Create group}}.
<br />
+
# A group will be created automatically and give the icon of a directory and an automatically chosen name.
A group will be created automatically and give the icon of a directory and an automatically chosen name.
+
# You can rename the group by right-clicking on the group and choosing {{MenuCommand|Rename}} or pressing {{KEY|F2}} on your keyboard.
<br />
+
# Push FreeCAD objects into the group or pull them out of the group by dragging and dropping the desired objects
You can rename the group by right-clicking on the group and choosing "rename" or using "F2" on your keyboard.
 
<br />
 
Push FreeCAD-objects into the group or pull them out of the group by clicking on the desired object,
 
<br />
 
keep left-mouse button pressed and using drag&drop-style to drag the object to desired new location.
 
<br />
 
As long as there is a "circle with a diagonal line"-sign below the cursor you can't drop your object here.
 
<br />
 
As soon as the sign changes to a "plus"-symbol it is possible to drop your object here.
 
<br />
 
  
<!--T:6-->
+
<!--T:7-->
# Right click on active document or on existing group in the [[Document structure|Tree View]] and select {{KEY|Create Group...}}
+
[[File:Group_with_objects.png|300px]]
# Drag-n-drop objects into the group
 
  
 +
==Properties== <!--T:10-->
  
<!--T:7-->
+
<!--T:11-->
[[Image:group_with_objects.png|300px]]
+
* {{PropertyData|Label}}: Name of the group
  
==Options== <!--T:8-->
+
== Inheritance ==
  
<!--T:9-->
+
A [[Std Group|Std Group]] is formally an instance of the class {{incode|App::DocumentObjectGroup}}, whose parent is the basic [[App_DocumentObject|App DocumentObject]] ({{incode|App::DocumentObject}} class).
* To rename the group select a group and press {{KEY|F2}}, or right click a group and select {{KEY|Rename}}
 
  
==Properties== <!--T:10-->
+
[[File:FreeCAD_core_objects.svg|800px]]
  
<!--T:11-->
+
{{Caption|Simplified diagram of the relationships between the core objects in the program. The {{incode|App::DocumentObjectGroup}} class is a simple group that just points to other objects.}}
* {{PropertyData|Label}}: Name of the group
 
  
 
==Scripting== <!--T:12-->
 
==Scripting== <!--T:12-->
Line 72: Line 58:
 
}}
 
}}
 
<translate>
 
<translate>
==Limitations== <!--T:14-->
 
 
<!--T:15-->
 
Command needs an open FreeCAD-document to work.
 
  
 
==Links== <!--T:16-->
 
==Links== <!--T:16-->
Line 84: Line 66:
 
* [http://www.freecadweb.org/wiki/index.php?title=Arch_tutorial#Organizing_your_model Organizing your model]
 
* [http://www.freecadweb.org/wiki/index.php?title=Arch_tutorial#Organizing_your_model Organizing your model]
 
* [[Ways_To_Organize_Objects|Organize objects in the document]]
 
* [[Ways_To_Organize_Objects|Organize objects in the document]]
 
==Notes== <!--T:18-->
 
 
  
 
<!--T:20-->
 
<!--T:20-->

Revision as of 01:45, 16 December 2019

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎한국어
Arrow-left.svg Previous: Std Part.png Part

Std Group.svg Std Group

Menu location
Tree View → Right click on the document name
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
Draft SelectGroup, Draft AddToGroup

Description

This command lets you create a group in the tree view. It can be used for organizing the structure of your model.

Use

  1. Right-click on the name of your FreeCAD document in the tree-view and choose Create group.
  2. A group will be created automatically and give the icon of a directory and an automatically chosen name.
  3. You can rename the group by right-clicking on the group and choosing Rename or pressing F2 on your keyboard.
  4. Push FreeCAD objects into the group or pull them out of the group by dragging and dropping the desired objects

Group with objects.png

Properties

  • DataLabel: Name of the group

Inheritance

A Std Group is formally an instance of the class App::DocumentObjectGroup, whose parent is the basic App DocumentObject (App::DocumentObject class).

FreeCAD core objects.svg

Simplified diagram of the relationships between the core objects in the program. The App::DocumentObjectGroup class is a simple group that just points to other objects.

Scripting

Following command adds new group to the active document:

App.ActiveDocument.addObject("App::DocumentObjectGroup","Group")

Links

Arrow-left.svg Previous: Std Part.png Part